# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::ObjMesh Class Reference

Represents a Wavefront OBJ mesh. See also ObjLoader. More...

`#include <vlOBJ.hpp>`

Inheritance diagram for vl::ObjMesh:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
void | setMaterial (ObjMaterial *mat)
| The material associated to this mesh.
const ObjMaterial * | material () const
| The material associated to this mesh.
const std::vector< int > & | facePositionIndex () const
| Index into ObjLoader::vertexArray() vector.
const std::vector< int > & | faceNormalIndex () const
| Index into ObjLoader::normalArray() vector.
const std::vector< int > & | faceTexCoordIndex () const
| Index into ObjLoader::texCoordsArray() vector.
const std::vector< int > & | face_type () const
| Each entry represents a face, the number represents how many vertices the face has.
ObjMaterial * | material ()
| The material associated to this mesh.
std::vector< int > & | facePositionIndex ()
| Index into ObjLoader::vertexArray() vector.
std::vector< int > & | faceNormalIndex ()
| Index into ObjLoader::normalArray() vector.
std::vector< int > & | faceTexCoordIndex ()
| Index into ObjLoader::texCoordsArray() vector.
std::vector< int > & | face_type ()
| Each entry represents a face, the number represents how many vertices the face has.
## Protected Attributes
ref< ObjMaterial > | mMaterial
std::vector< int > | mFace_icoords
std::vector< int > | mFace_inormals
std::vector< int > | mFace_itexcoords
std::vector< int > | mFace_type

## Detailed Description

Represents a Wavefront OBJ mesh. See also ObjLoader.

## Member Function Documentation

virtual const char* vl::ObjMesh::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

void vl::ObjMesh::setMaterial | ( | ObjMaterial * | mat | ) | `[inline]`

The material associated to this mesh.

const ObjMaterial* vl::ObjMesh::material | ( |  | ) | const`[inline]`

The material associated to this mesh.

const std::vector<int>& vl::ObjMesh::facePositionIndex | ( |  | ) | const`[inline]`

Index into ObjLoader::vertexArray() vector.

const std::vector<int>& vl::ObjMesh::faceNormalIndex | ( |  | ) | const`[inline]`

Index into ObjLoader::normalArray() vector.

const std::vector<int>& vl::ObjMesh::faceTexCoordIndex | ( |  | ) | const`[inline]`

Index into ObjLoader::texCoordsArray() vector.

const std::vector<int>& vl::ObjMesh::face_type | ( |  | ) | const`[inline]`

Each entry represents a face, the number represents how many vertices the face has.

The for each vertex of each face there is an index in facePositionIndex(), faceNormalIndex(), faceTexCoordIndex()

ObjMaterial* vl::ObjMesh::material | ( |  | ) | `[inline]`

The material associated to this mesh.

std::vector<int>& vl::ObjMesh::facePositionIndex | ( |  | ) | `[inline]`

Index into ObjLoader::vertexArray() vector.

std::vector<int>& vl::ObjMesh::faceNormalIndex | ( |  | ) | `[inline]`

Index into ObjLoader::normalArray() vector.

std::vector<int>& vl::ObjMesh::faceTexCoordIndex | ( |  | ) | `[inline]`

Index into ObjLoader::texCoordsArray() vector.

std::vector<int>& vl::ObjMesh::face_type | ( |  | ) | `[inline]`

Each entry represents a face, the number represents how many vertices the face has.

The for each vertex of each face there is an index in facePositionIndex(), faceNormalIndex(), faceTexCoordIndex()

## Member Data Documentation

ref<ObjMaterial> vl::ObjMesh::mMaterial`[protected]`

std::vector<int> vl::ObjMesh::mFace_icoords`[protected]`

std::vector<int> vl::ObjMesh::mFace_inormals`[protected]`

std::vector<int> vl::ObjMesh::mFace_itexcoords`[protected]`

std::vector<int> vl::ObjMesh::mFace_type`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlOBJ.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:57 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.